Herald
OpenapiExt

Remove an organization member

Removal takes effect immediately on the check path (explicit cache invalidation). The owner and the last admin-tier member are protected (409); transfer ownership or grant another admin first.

DELETE
/api/ext/realms/{realmId}/orgs/{orgId}/members/{userId}

Removal takes effect immediately on the check path (explicit cache invalidation). The owner and the last admin-tier member are protected (409); transfer ownership or grant another admin first.

X-API-Key<token>

Client-app API key (third-party external API).

In: header

Path Parameters

realmId*string

Realm ID

orgId*string

Organization ID

userId*string

Member account ID

Query Parameters

actorUserId?string

User the app acts on behalf of

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/ext/realms/string/orgs/string/members/string"
Empty
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}